﻿using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace BindingExpander
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            itemsControl.ItemsSource = Enumerable.Range(0, 10);
        }
    }

    public class TemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (((int)item) % 2 == 0)
            {
                return App.Current.Resources["template1"] as DataTemplate;
            }

            return App.Current.Resources["template2"] as DataTemplate;
        }
    }
}
